## org.eclipse.emf.importer.rose.builder
Class RoseUtil

    java.lang.Object
      org.eclipse.emf.importer.rose.builder.RoseUtil

    public class RoseUtil

extends java.lang.Object

Provide functions to process a rose file.

Field Summary
`protected java.util.Map<EPackage,java.util.List<java.lang.String>>` `ePackageToInformationMap`
`protected java.util.Map<java.lang.String,java.lang.Object>` `nameTable`
`protected java.util.Map<java.lang.String,java.lang.String>` `packageNameToNSNameMap`
`protected java.util.Map<java.lang.String,java.lang.String>` `packageNameToNSURIMap`
`protected java.util.Map<java.lang.String,java.lang.Object>` `quidTable`
`protected java.util.Map<EReference,java.lang.String>` `refTable`
`protected RoseEcoreBuilder` `roseEcoreBuilder`
`protected java.util.Map<java.lang.Object,java.util.List<java.lang.String>>` `superTable`
`protected java.util.Map<EObject,java.lang.String>` `typeTable`
`protected URIConverter` `uriConverter`
`protected java.util.Map<java.lang.String,java.lang.String>` `variableToDirectoryMap`

Constructor Summary
`RoseUtil(URIConverter uriConverter)`

Method Summary
`void` `addDiagnostic(Diagnostic diagnostic)`
`void` `checkConflictFileName(UnitTreeNode unitTree)`
`boolean` `checkFileName(UnitTreeNode unitTree, java.lang.String name)`
`void` `createExtent(UnitTreeNode unitTree)`
`void` `createExtent4RoseUnitTree(UnitTreeNode unitTree)`
`void` `createResource(UnitTreeNode tree, ResourceSet resourceSet)`
`UnitTreeNode` `createRoseUnitTreeAndTable(java.lang.String fileNameNodeValue, UnitTreeNode topNode)`
`Diagnostic` `getDiagnostic()`
`java.util.Map<EPackage,java.util.List<java.lang.String>>` `getEPackageToInformationMap()`
`java.util.Map<java.lang.String,java.lang.String>` `getPackageNameToNSNameMap()`
`java.util.Map<java.lang.String,java.lang.String>` `getPackageNameToNSURIMap()`
`RoseEcoreBuilder` `getRoseEcoreBuilder()`
`java.util.Map<java.lang.String,java.lang.String>` `getVariableToDirectoryMap()`
`protected void` `loadTree(RoseNode containingNode, UnitTreeNode node)`
`void` `processUnitTree(UnitTreeNode unitTree)`
`java.lang.String` `resolveFileName(java.lang.String name)`
`void` `saveEcoreFiles(ResourceSet resourceSet)`
`protected void` `setIDs(UnitTreeNode node)`
`void` `showRoseUnitTree(UnitTreeNode unitTree)`
`protected void` `traverseOut(UnitTreeNode tree, int index)`
`protected void` `validate(UnitTreeNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quidTable

    protected java.util.Map<java.lang.String,java.lang.Object> quidTable

### nameTable

    protected java.util.Map<java.lang.String,java.lang.Object> nameTable

### superTable

    protected java.util.Map<java.lang.Object,java.util.List<java.lang.String>> superTable

### refTable

    protected java.util.Map<EReference,java.lang.String> refTable

### typeTable

    protected java.util.Map<EObject,java.lang.String> typeTable

### variableToDirectoryMap

    protected java.util.Map<java.lang.String,java.lang.String> variableToDirectoryMap

### packageNameToNSNameMap

    protected java.util.Map<java.lang.String,java.lang.String> packageNameToNSNameMap

### packageNameToNSURIMap

    protected java.util.Map<java.lang.String,java.lang.String> packageNameToNSURIMap

### ePackageToInformationMap

    protected java.util.Map<EPackage,java.util.List<java.lang.String>> ePackageToInformationMap

### uriConverter

    protected URIConverter uriConverter

### roseEcoreBuilder

    protected RoseEcoreBuilder roseEcoreBuilder

Constructor Detail

### RoseUtil

    public RoseUtil(URIConverter uriConverter)

Method Detail

### getRoseEcoreBuilder

    public RoseEcoreBuilder getRoseEcoreBuilder()

### createRoseUnitTreeAndTable

    public UnitTreeNode createRoseUnitTreeAndTable(java.lang.String fileNameNodeValue,
                                                   UnitTreeNode topNode)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### showRoseUnitTree

    public void showRoseUnitTree(UnitTreeNode unitTree)

### traverseOut

    protected void traverseOut(UnitTreeNode tree,
                               int index)

### createExtent4RoseUnitTree

    public void createExtent4RoseUnitTree(UnitTreeNode unitTree)

### checkConflictFileName

    public void checkConflictFileName(UnitTreeNode unitTree)

### checkFileName

    public boolean checkFileName(UnitTreeNode unitTree,
                                 java.lang.String name)

### createExtent

    public void createExtent(UnitTreeNode unitTree)

### processUnitTree

    public void processUnitTree(UnitTreeNode unitTree)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setIDs

    protected void setIDs(UnitTreeNode node)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### validate

    protected void validate(UnitTreeNode node)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadTree

    protected void loadTree(RoseNode containingNode,
                            UnitTreeNode node)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveEcoreFiles

    public void saveEcoreFiles(ResourceSet resourceSet)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createResource

    public void createResource(UnitTreeNode tree,
                               ResourceSet resourceSet)

### resolveFileName

    public java.lang.String resolveFileName(java.lang.String name)

### getVariableToDirectoryMap

    public java.util.Map<java.lang.String,java.lang.String> getVariableToDirectoryMap()

### getPackageNameToNSNameMap

    public java.util.Map<java.lang.String,java.lang.String> getPackageNameToNSNameMap()

### getPackageNameToNSURIMap

    public java.util.Map<java.lang.String,java.lang.String> getPackageNameToNSURIMap()

### getEPackageToInformationMap

    public java.util.Map<EPackage,java.util.List<java.lang.String>> getEPackageToInformationMap()

### getDiagnostic

    public Diagnostic getDiagnostic()

### addDiagnostic

    public void addDiagnostic(Diagnostic diagnostic)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.